This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 986729 - SELinux is preventing /usr/sbin/mdadm from 'read' accesses on the chr_file fw0.
SELinux is preventing /usr/sbin/mdadm from 'read' accesses on the chr_file fw0.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f13d36e5eba73916b8b6c624f72...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 19:58 EDT by Barry Smith
Modified: 2013-07-26 19:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-66.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 19:06:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barry Smith 2013-07-21 19:58:56 EDT
Description of problem:
It seems to happen when logwatch runs.
SELinux is preventing /usr/sbin/mdadm from 'read' accesses on the chr_file fw0.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that mdadm should be allowed read access on the fw0 chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep mdadm /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:mdadm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:usb_device_t:s0
Target Objects                fw0 [ chr_file ]
Source                        mdadm
Source Path                   /usr/sbin/mdadm
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           mdadm-3.2.6-19.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-63.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   5
First Seen                    2013-07-15 18:23:06 EDT
Last Seen                     2013-07-21 10:28:04 EDT
Local ID                      7742cd7a-87ad-4dd6-b687-a78b9d2441c9

Raw Audit Messages
type=AVC msg=audit(1374416884.629:1202): avc:  denied  { read } for  pid=23152 comm="mdadm" name="fw0" dev="devtmpfs" ino=1744 scontext=system_u:system_r:mdadm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:usb_device_t:s0 tclass=chr_file


type=SYSCALL msg=audit(1374416884.629:1202): arch=x86_64 syscall=open success=no exit=EACCES a0=98afc0 a1=4000 a2=a a3=0 items=0 ppid=23151 pid=23152 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=69 tty=(none) comm=mdadm exe=/usr/sbin/mdadm subj=system_u:system_r:mdadm_t:s0-s0:c0.c1023 key=(null)

Hash: mdadm,mdadm_t,usb_device_t,chr_file,read

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-07-22 05:27:37 EDT
commit 43b63d7557b118f26acc35a25ccdd0edfd35f8e3
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Mon Jul 22 11:26:59 2013 +0200

    Allow mdadm to read usb devices
Comment 2 Fedora Update System 2013-07-24 10:13:36 EDT
selinux-policy-3.12.1-66.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-66.fc19
Comment 3 Fedora Update System 2013-07-24 20:35:52 EDT
Package selinux-policy-3.12.1-66.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-66.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13543/selinux-policy-3.12.1-66.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-26 19:06:40 EDT
selinux-policy-3.12.1-66.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.